﻿//
// MainPage.xaml.h
// Declaration of the MainPage class.
//

#pragma once
#include "pch.h"
#include "MainPage.g.h"

namespace MobileServicesApp
{
	[BindableAttribute]
	public ref class ToDoItems sealed
	{
	public:		
		ToDoItems()
		{
			text_ = L"";
			complete_ = false;
		}
		property int ID
		{
			int get()
			{
				return ID_;
			}
			void set(int value)
			{
				ID_ = value;
			}
		}
		
		property Platform::String^ Text
		{
			Platform::String^ get()
			{
				return text_;
			}
			void set(Platform::String^ value)
			{
				text_ = value;
			}
		}
		
		property bool Complete
		{
			bool get()
			{
				return complete_;
			}
			void set(bool value)
			{
				complete_ = value;
			}
		}
	private:
		int ID_;
		Platform::String^ text_;
		bool complete_;
	};
	/// <summary>
	/// An empty page that can be used on its own or navigated to within a Frame.
	/// </summary>
	public ref class MainPage sealed
	{
	public:
		MainPage();

	protected:
		virtual void OnNavigatedTo(Windows::UI::Xaml::Navigation::NavigationEventArgs^ e) override;
		virtual void CheckBox_Checked_1(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ args);
		virtual void ButtonRefresh_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ args);
		virtual void ButtonSave_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ args);
		void RefreshData();

	private:
		Vector<ToDoItems^>^ items_; 
	};
}
